#ifndef _H_notif_example
#define _H_notif_example
/*
 * Copyright (c) 2008 - 2012, Andy Bierman, All Rights Reserved.
 * Copyright (c) 2012 - 2020, YumaWorks, Inc., All Rights Reserved.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *

*** Generated by yangdump-sdk

    Combined SIL header
    module notif-example
    revision 2019-01-01
    namespace http://netconfcentral.org/ns/notif-example
    CLI parameters:
        format h
        indent 4
        log-level debug3
        module notif-example
        output notif-example.h
        sil-edit2
        sil-get2
        unified true

 */

#include <xmlstring.h>

#include "dlq.h"
#include "ncxtypes.h"
#include "op.h"
#include "status.h"
#include "val.h"

#ifdef __cplusplus
extern "C" {
#endif

#define y_notif_example_M_notif_example (const xmlChar *)"notif-example"
#define y_notif_example_R_notif_example (const xmlChar *)"2019-01-01"

#define y_notif_example_N_restart_notification (const xmlChar *)"restart-notification"


/********************************************************************
* FUNCTION restart_notification_send
*
* Send a y_notif_example_restart_notification notification
* Called by your code when notification event occurs
*
********************************************************************/
extern void
    restart_notification_send (rpc_msg_t *msg);


/********************************************************************
* FUNCTION y_notif_example_init
*
* initialize the notif-example server instrumentation library
*
* INPUTS:
*    modname == requested module name
*    revision == requested version (NULL for any)
*
* RETURNS:
*     error status
********************************************************************/
extern status_t
    y_notif_example_init (const xmlChar *modname,
                          const xmlChar *revision);


/********************************************************************
* FUNCTION y_notif_example_init2
*
* SIL init phase 2: non-config data structures
* Called after running config is loaded
*
* RETURNS:
*     error status
********************************************************************/
extern status_t y_notif_example_init2 (void);


/********************************************************************
* FUNCTION y_notif_example_cleanup
*    cleanup the server instrumentation library
*
********************************************************************/
extern void y_notif_example_cleanup (void);

#ifdef __cplusplus
} /* end extern 'C' */
#endif

#endif
